## ros-galactic-rosidl-adapter 2.2.3

=== debian/changelog ===
ros-galactic-rosidl-adapter (2.2.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rosidl-adapter (2.2.2-1focal) focal; urgency=high

  * Fix escaping in string literals (#595 <https://github.com/ros2/rosidl/issues/595>) (#617 <https://github.com/ros2/rosidl/issues/617>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rosidl-adapter (2.2.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rosidl-adapter (2.2.0-1focal) focal; urgency=high

  * Expose .msg/.srv/.action to .idl conversion via rosidl translate CLI (#576 <https://github.com/ros2/rosidl/issues/576>)
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosidl-adapter (2.1.0-1focal) focal; urgency=high

  * Support hex constants in msg files (#559 <https://github.com/ros2/rosidl/issues/559>)
  * Contributors: Dereck Wonnacott

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-galactic-rosidl-adapter (2.0.3-1focal) focal; urgency=high

  * Treat t as whitespace (#557 <https://github.com/ros2/rosidl/issues/557>)
  * Contributors: Dereck Wonnacott

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rosidl-adapter (2.0.2-1focal) focal; urgency=high

  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-rosidl-adapter (2.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-galactic-rosidl-adapter (2.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Sep 2020 07:00:00 -0000

ros-galactic-rosidl-adapter (1.1.0-1focal) focal; urgency=high

  * Refactor regex for valid package/field names (#508 <https://github.com/ros2/rosidl/issues/508>)
  * Add pytest.ini so tests succeed locally (#502 <https://github.com/ros2/rosidl/issues/502>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 17 Aug 2020 07:00:00 -0000

ros-galactic-rosidl-adapter (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rosidl-adapter (1.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-galactic-rosidl-adapter (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-galactic-rosidl-adapter (0.9.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-rosidl-adapter (0.9.0-1focal) focal; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-galactic-rosidl-adapter (0.8.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Jan 2020 08:00:00 -0000

ros-galactic-rosidl-adapter (0.8.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-rosidl-adapter (0.8.0-1focal) focal; urgency=high

  * Improve parser error messages (#415 <https://github.com/ros2/rosidl/issues/415>)
  * support adjacent string literals, use them for multi-line comments (#410 <https://github.com/ros2/rosidl/issues/410>)
  * avoid zero length comment when the comment only contains a unit (#411 <https://github.com/ros2/rosidl/issues/411>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * fix error msg asserts due to change in pytest (#393 <https://github.com/ros2/rosidl/issues/393>)
  * open interface files with utf-8 encoding (#390 <https://github.com/ros2/rosidl/issues/390>)
  * Contributors: Dirk Thomas, Jacob Perron, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Sep 2019 07:00:00 -0000
