=== debian/control ===
Source: ros-galactic-rosidl-adapter
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-pytest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosidl-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-empy, ros-galactic-rosidl-cli, ros-galactic-ros-workspace
Description: API and scripts to parse .msg/.srv/.action files and convert them to .idl.
